Solid Edge Geometry Type Library
GetPointAtParam Method
Specifies the number of parameters to be evaluated.
Returns the array of parameters to be evaluated.
Returns the array of computed model space points. If you are interested in obtaining only the geometric continuity information, this argument can be NULL.
Description
Computes the corresponding model space points in the local coordinate system, given an array of parameters on the curve.
Syntax
Visual Basic
Public Sub GetPointAtParam( _
   ByVal NumParams As Long, _
   ByRef Params() As Double, _
   ByRef Points() As Double _
) 
Parameters
NumParams
Specifies the number of parameters to be evaluated.
Params
Returns the array of parameters to be evaluated.
Points
Returns the array of computed model space points. If you are interested in obtaining only the geometric continuity information, this argument can be NULL.
Example
Private Sub Form_Load()
    Dim objApp As solidedgeframework.Application
    Dim objDoc As SolidEdgepart.PartDocument
    Dim objBody As solidedgegeometry.Body
    Dim objFace As solidedgegeometry.Face
    Dim dblPoints() As Double
    Dim dblParams(3) As Double
    Const TESTFILE = "T:\vbtests\testcases\halfcyl.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the testfile
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the body object of the model
    Set objBody = objDoc.Models(1).Body
    ' getting a particular face from the collection of faces on the body
    Set objFace = objBody.Faces(FaceType:=igQueryAll).Item(2)
    ' getting the parameters at a pointon the Face
    dblParams(0) = PI
    dblParams(1) = 0.05
    dblParams(2) = PI / 2
    dblParams(3) = 0
    Call objFace.GetPointAtParam(NumParams:=2, Points:=dblPoints, Params:=dblParams)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objBody = Nothing
    Set objFace = Nothing
End Sub
See Also

Face Object  | Face Members